/*
 * Copyright 1998-2008 VIA Technologies, Inc. All Rights Reserved.
 * Copyright 2001-2008 S3 Graphics, Inc. All Rights Reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sub license,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice (including the
 * next paragraph) shall be included in all copies or substantial portions
 * of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHOR(S) OR COPYRIGHT HOLDER(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR
 * OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */

#define REG_HQV_TILE_CSC_CTL_CME                0x000003DC
#define REG_HQV_MOTIONADAPTIVE_CTL_CME          0x000003E4
#define REG_CAPTURE1_STARTADDR2_CME             0x00000390
#define REG_V3_COLOR_KEY                        0x00000280
#define REG_V3_WIN_START_X_Y                    0x000002B0
#define REG_V3_WIN_END_X_Y                      0x000002B4
#define REG_V3_DISPLAY_COUNT                    0x0000027C
#define REG_HQV_SRC_OFFSET                      0x000003cc
#define REG_V1_WIN_START_X_Y                    0x00000240
#define REG_V1_WIN_END_X_Y                      0x00000244
#define REG_V1_DISPLAY_COUNT                    0x0000026C
#define REG_VQ_OFFSET                           0x00002000
#define REG_VQ_HW_WAIT_CME                      0x0000326c
#define REG_V1_VIDEO_SRC_OFFSET_CME2            0x0000025C 
#define REG_V3_VIDEO_SRC_OFFSET_CME2            0x0000027C 

/* HW wait register, VQ offset 0x2000 will be added in vfCM. */
#define REG_HW_WAIT_CME                         0x0000126c
#define REG_VMR3DCTL_CME                        0x00000060
/* Video/2D/3D Sync Method */
#define REG_VID_IDCTL                           0x00001260

#define REG_VIDEO_NULL_12A0                     0x000012a0
#define REG_HQV1_INDEX                          0x00001000
#define REG_VQ_STATUS_CME                       0x00000504
#define VAL_VQ_NOT_EMPTY                        0x20000000

#define VIDEO_GAMMA_RegR1230     0x1230
#define VIDEO_GAMMA_RegR1234     0x1234
#define VIDEO_GAMMA_RegR1238     0x1238
#define VIDEO_GAMMA_RegR123C     0x123C
#define VIDEO_GAMMA_RegG1240     0x1240
#define VIDEO_GAMMA_RegG1244     0x1244
#define VIDEO_GAMMA_RegG1248     0x1248
#define VIDEO_GAMMA_RegG124C     0x124C
#define VIDEO_GAMMA_RegB1250     0x1250
#define VIDEO_GAMMA_RegB1254     0x1254
#define VIDEO_GAMMA_RegB1258     0x1258
#define VIDEO_GAMMA_RegB125C     0x125C
