/*
 * Copyright 1998-2006 VIA Technologies, Inc. All Rights Reserved.
 * Copyright 2001-2006 S3 Graphics, Inc. All Rights Reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sub license,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice (including the
 * next paragraph) shall be included in all copies or substantial portions
 * of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHOR(S) OR COPYRIGHT HOLDER(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR
 * OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */

 
#define BUFFER_SIZE  0x80
#define VIA_LINK_GROUP  0x123
#define VIA_LINK_VAL  0x234
 
/*16-bit long flag 
*We use just a small part,more events can be added.
*/
#define   NOEVENT_NOTIFIER     0x0
#define   SUSPEND_NOTIFIER     0x1
#define   RESUME_NOTIFIER      0x2
#define   STANDBY_NOTIFIER     0x4
#define   LINK_REGISTER        0x10
#define   LINK_UNREGISTER      0x20
#define   CONFIRM_NOTIFIER    0x8000

struct pid_entry
{
    pid_t pid;     /*listener's pid*/
    int acked;      /*conformed the enevnt?*/
    struct pid_entry *next;
};

